/***************************
GTK Pattern Creation Lab
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/


#include <gtk/gtk.h>

/****** MACROS *****/
/* change value from 0.0 to 1.0 range to 0 to 255 range */
#define rgbtoint(a) ((a)>1.0 ? 255 : (a)<0.0 ? 0 : (int)((a) * 255))

/****** STRUCTURES ******/
/* STRUCTURE tpreferences
Fields:
   int width - width of generated image
   int height - height of generated image
   float digits - number of decimal places in spinners
   int increment - decimal number of increment (set automatically based on
                   the number of digits in decimal place)
   int is_stretched - stretch in x-direction if
      width different from height
   int show_progress - show the progress bar when generating images
Description:
   This structure contains the global preferences used
*/
typedef struct texture_pref_tag
{
   int width;
   int height;
   int digits;
   float increment;
   int is_stretched;
   int show_progress;

}tpreferences;


/* Function pointer */
typedef int (*NEWFUNC)(pattern_class*);

int interrupt;

GtkWidget *mainwindow;

void
on_file_new_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_file_open_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_file_save_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_file_save_as_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_file_preferences_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_mainwindow_end_event                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pattern_load_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pattern_selection                   (GtkMenuItem     *menuitem,
                                        gpointer          user_data);

void
on_help_about_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_generate_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_interrupt_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_apply_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_preferences_close_button_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_color_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_color_selection_ok_button_clicked   (GtkButton       *button,
                                        gpointer         user_data);

void
on_color_selection_cancel_button_clicked
                                        (GtkButton       *button,
                                         gpointer         user_data);

void
on_color_selection_help_button_clicked
					(GtkButton	*button,
					gpointer	user_data);

void
on_about_ok_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);
