/***************************
GTK Pattern Creation Lab
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/


#ifndef __GPCL_TYPES_H__
#define __GPCL_TYPES_H__

#include <gtk/gtk.h>
#include "../include/math3d.h"
#include "../include/matrix.h"

typedef struct pattern_class
{
   char *data;
   GtkWidget *controls;
   struct pattern_procs *procs;
}pattern_class;

typedef struct pattern_procs
{
   void (*shade)(pattern_class *pat, FLT s, FLT t, pvec3 rvec);
   void (*configure)(pattern_class *pat, GtkWidget* widget);
   void (*update)(pattern_class *pat);
   void (*delete)(pattern_class *pat);
   char *(*name)(void);
} pattern_procs;

#endif
