/**************************************
Matrix and 3D Math
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
******************************************/


/**********MODULE MATH3D***************
Filename: math3d.c
Author: ophiuchus42@hotmail.com
Description: This module implements many 3d mathematical
   functions, as well as general math functions.
Modifications: 
  12/28/98   commented code
*************************/

#include "../include/matrix.h"
#include "../include/math3d.h"

void cmix(PCOLOR c0, PCOLOR c1, FLT f, PCOLOR cr)
{
   COLOR temp;
   colorsmult(1.0-f, c0, temp);
   colorsmult(f, c1, cr);
   coloradd(temp, cr, cr);
}

FLT mod(FLT a, FLT b)
{
   FLT c = a-((int)(a/b)*b);
   if (c < (FLT)0.0)
     c += b;
   return c;
}
