/***************************
slparser
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/


/**********MODULE TOKENIZER***************
Filename: tokenizer.h
Author: ophiuchus42@hotmail.com
Description: This module is used to tokenize a file. Currently it 
   will only tokenize RenderMan shading language shaders compiled
	with BMRT, but later it will be modified to accept a table of
	reserved words, so that it may be used with any file format.
Modifications: 
  12/24/98   commented code
*************************/

#ifndef __TOKENIZER__
#define __TOKENIZER__

/* close tokenizer (currently unused) */
void tokenizer_terminate(void);

/* convert specified file into token list */
int tokenizer_get_tokens(PPTOKEN_LIST list, char* filename);

#endif /* __TOKENIZER__ */
