/***************************
slparser
Copyright (C) 1999  Peter Stuart

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************/


/**********MODULE TOKENLIST***************
Filename: tokenlist.h
Author: ophiuchus42@hotmail.com
Description: This module implements a singly-linked list
   used for holding tokens. The token list element structure
	includes fields for holding string and numeric information
	as well as the token information.
Modifications: 
  12/24/98   commented code
*************************/

#ifndef __TOKENLIST__
#define __TOKENLIST__

/* initialize token list */
void  tokenlist_init(PPTOKEN_LIST list);

/* add element to front of list */
int   tokenlist_add(PPTOKEN_LIST, TOKEN id, char* word);

/* retrieve token value of next element */
TOKEN tokenlist_next(PTOKEN_LIST position, PPTOKEN_INFO info);

/* advance position to next element */
TOKEN tokenlist_advance(PPTOKEN_LIST position, PPTOKEN_INFO info);

/* find first occurance of specified token from position */
int   tokenlist_seek(PPTOKEN_LIST position, TOKEN token);

/* delete elements in list */
void  tokenlist_delete(PPTOKEN_LIST list);

#endif /* __TOKENLIST__ */
